/**
 *
 * @param npssoToken Your NPSSO token, retrieved from https://ca.account.sony.com/api/v1/ssocookie
 * @returns An access code, which can be exchanged for an access token using `exchangeAccessCodeForAuthTokens`.
 * @example
 * ```ts
 * const code = await exchangeNpssoForAccessCode("myNpssoToken");
 *
 * console.log(code) // --> "v3.XXXXXX"
 * ```
 */
export declare const exchangeNpssoForAccessCode: (npssoToken: string) => Promise<string>;
/**
 * @deprecated Use `exchangeNpssoForAccessCode` instead. This alias will be removed in a future version.
 */
export declare const exchangeNpssoForCode: (npssoToken: string) => Promise<string>;
