import type { AllCallOptions, AuthorizationPayload, RecentlyPlayedGamesResponse } from "../models";
type GetRecentlyPlayedGamesOptionsCategories = "ps4_game" | "ps5_native_game";
type GetRecentlyPlayedGamesOptions = Pick<AllCallOptions, "limit"> & {
    categories: GetRecentlyPlayedGamesOptionsCategories[];
};
/**
 * A call to this function will retrieve recently played games for the user associated
 * with the npsso token provided to this module during initialisation.
 *
 * This is useful if you want recent activity that isn't tied to trophy progress.
 *
 * @param authorization An object containing your access token, typically retrieved with `exchangeAccessCodeForAuthTokens()`.
 */
export declare const getRecentlyPlayedGames: (authorization: AuthorizationPayload, options?: Partial<GetRecentlyPlayedGamesOptions>) => Promise<RecentlyPlayedGamesResponse>;
export {};
