import type { CallValidHeaders } from "./call-valid-headers.model";
export interface AllCallOptions {
    /**
     * Not required unless the platform is PS3, PS4, or PS Vita.
     * If one of these platforms, the value __must__ be `"trophy"`.
     *
     * `"trophy"` for PS3, PS4, or PS Vita platforms.
     * `"trophy2"` for the PS5 platform.
     */
    npServiceName: "trophy" | "trophy2";
    /** Limit the number of entities returned. */
    limit: number;
    /** Return entity data from this result onwards. */
    offset: number;
    headerOverrides: CallValidHeaders;
}
