import type { AllCallOptions, AuthorizationPayload, BasicPresenceResponse } from "../models";
type GetBasicPresenceOptions = Pick<AllCallOptions, "headerOverrides">;
/**
 * A call to this function will retrieve the basic presence information of the accountId being requested.
 * If the account's profile cannot be found (either due to non-existence or privacy settings),
 * an error will be thrown.
 *
 * @param authorization An object containing your access token, typically retrieved with `exchangeAccessCodeForAuthTokens()`.
 * @param accountId The accountId for the user you wish to retrieve a profile for.
 * @param options Optional - Additional headerOverride options to provide for the request
 */
export declare const getBasicPresence: (authorization: AuthorizationPayload, accountId: string, options?: GetBasicPresenceOptions) => Promise<BasicPresenceResponse>;
export {};
