import type { AllCallOptions, AuthorizationPayload, ProfileFromAccountIdResponse } from "../models";
type GetProfileFromAccountIdOptions = Pick<AllCallOptions, "headerOverrides">;
/**
 * A call to this function will retrieve some profile information of the accountId being requested.
 * If the account's profile cannot be found (either due to non-existence or privacy settings),
 * an error will be thrown.
 *
 * @param authorization An object containing your access token, typically retrieved with `exchangeAccessCodeForAuthTokens()`.
 * @param accountId The accountId for the user you wish to retrieve a profile for.
 */
export declare const getProfileFromAccountId: (authorization: AuthorizationPayload, accountId: string, options?: GetProfileFromAccountIdOptions) => Promise<ProfileFromAccountIdResponse>;
export {};
