import type { AllCallOptions, AuthorizationPayload, GetUserFriendsAccountIdsResponse } from "../models";
type GetUserFriendsAccountIdsOptions = Pick<AllCallOptions, "limit" | "offset">;
/**
 * A call to this function will retrieve the list of friended `accountId` values
 * associated with the given `accountId` parameter. If the user cannot be found
 * (either due to non-existence or privacy settings), an error will be thrown.
 *
 *  To find a user's `accountId`, the `makeUniversalSearch()` function can be used.
 *
 * @param authorization An object containing your access token, typically retrieved with `exchangeAccessCodeForAuthTokens()`.
 * @param accountId The account whose trophy list is being accessed. Use `"me"` for the authenticating account.
 */
export declare const getUserFriendsAccountIds: (authorization: AuthorizationPayload, accountId: string, options?: Partial<GetUserFriendsAccountIdsOptions>) => Promise<GetUserFriendsAccountIdsResponse>;
export {};
